ONVIF::Device::Types::Dot1XConfiguration(3)

NAME
ONVIF::Device::Types::Dot1XConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType Dot1XConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Dot1XConfigurationToken

•   Identity

•   AnonymousID

•   EAPMethod

•   CACertificateID

•   EAPMethodConfiguration

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Dot1XConfiguration
   Dot1XConfigurationToken => $some_value, # ReferenceToken
   Identity =>  $some_value, # string
   AnonymousID =>  $some_value, # string
   EAPMethod =>  $some_value, # int
   CACertificateID =>  $some_value, # token
   EAPMethodConfiguration =>  { # ONVIF::Device::Types::EAPMethodConfiguration
     TLSConfiguration =>  { # ONVIF::Device::Types::TLSConfiguration
       CertificateID =>  $some_value, # token
     },
     Password =>  $some_value, # string
     Extension =>  { # ONVIF::Device::Types::EapMethodExtension
     },
   },
   Extension =>  { # ONVIF::Device::Types::Dot1XConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL